From: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
Subject: [PATCH] Fix qpe start when bluetooth disabled

If bluetooth is disabled, qpe failed to start and does a SegmentationFault.
Easy to reproduce:
/etc/init.d/qtmoko stop
source /opt/qtmoko/qpe.env
om bt power 0
qpe

We have to check if FindAdapter call returns correctly.

Signed-off-by: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>

---
 .../qtopiacomm/bluetooth/qbluetoothlocaldevice.cpp |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/src/libraries/qtopiacomm/bluetooth/qbluetoothlocaldevice.cpp b/src/libraries/qtopiacomm/bluetooth/qbluetoothlocaldevice.cpp
index da7db5a..f56ee65 100644
--- a/src/libraries/qtopiacomm/bluetooth/qbluetoothlocaldevice.cpp
+++ b/src/libraries/qtopiacomm/bluetooth/qbluetoothlocaldevice.cpp
@@ -464,7 +464,9 @@ void QBluetoothLocalDevice_Private::lazyInit()
 
     args << m_initString;
     
-    iface.btcall("FindAdapter", reply, args);
+    if (!iface.btcall("FindAdapter", reply, args)) {
+        return;
+    }
     m_initString.clear();
 
     if (!reply.isValid()) {
-- 
tg: (78ada69..) t/fix/disabled-bluetooth (depends on: master)